des documents
Description: Le problème n'existe que pour les formats AMC-TXT. Lorsqu'on utilise le package minted, il est nécessaire 

d'apporter une option au moteur latex (-shell-escape) dans le menu préférences > Moteur Latex par défaut. 
On peut constater que dans l'onglet Projet > Commandes utilisées > Moteur Latex, l'ajout de l'option est bien 
prise en compte. Jusque là, tout va bien.
Dès que l'on utilise le bouton "Mettre à jour les documents" et que la commande fonctionne, il n'est plus 
possible de relancer la commande "Mettre à jour les documents". Enfin si, mais elle échoue informant que le 
package minted nécessite l'option -shell-escape pour son moteur latex. Quand on retourne dans les 
préférences, bien que l'option soit indiquée dans l'onglet Général, elle ne l'est plus dans l'onglet Projet. 
Visiblement un processus d'AMC écrase la valeur.
En conséquence, à chaque mise à jour des documents, il faut procéder comme suit :
Aller dans l'onglet Général et modifier le moteur, ensuite il faut valider, puis retourner dans Préférences > 
Général et remettre l'option,puis valider puis accepter ces modifications pour le projet en cours puis mettre à 
jour. Etant donné que pour la rédaction d'un QCM, j'utilise au moins une 50aine de fois (si ce n'est plus) la 
mise à jour des documents, la perte de temps est considérable.
Comme déjà dit plus haut, un projet en latex et non au format AMC-TXT ne souffre pas de ce problème.

History
03/28/2022 05:29 pm - Alexis Bienvenüe
Avez-vous essayé d'utiliser l'option suivante dans votre fichier source ?
<pre>
LaTeXEngine: xelatex -shell-escape
</pre>

03/29/2022 03:27 pm - Alban Mazerolles
Un grand merci ! Je suis dégoûté de ne pas avoir trouvé l'option LaTeXEngine dans la doc d'AMC car elle est précieuse dans mon cas !
Et merci aussi pour votre éternelle diligence.

04/25/2022 11:16 am - Alexis Bienvenüe
- Status changed from New to Closed

- % Done changed from 0 to 100
